Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.csw.discovery
Class DescribeRecordDocument

    java.lang.Object
      org.deegree.framework.xml.XMLFragment
          org.deegree.ogcbase.OGCDocument
              org.deegree.ogcwebservices.csw.AbstractCSWRequestDocument
                  org.deegree.ogcwebservices.csw.discovery.DescribeRecordDocument

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  DescribeRecordDocument_2_0_2

    public class DescribeRecordDocument

extends AbstractCSWRequestDocument

Represents an XML DescribeRecord document of an OGC CSW 2.0 compliant service.

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Torsten Friebe , Markus Schneider , last edited by: $Author: mschneider $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.deegree.ogcbase.OGCDocument
`GMLNS`

Fields inherited from class org.deegree.framework.xml.XMLFragment
`DEFAULT_URL, nsContext, XLNNS`

Constructor Summary
`DescribeRecordDocument()`

Method Summary
`(package private) void` | `createEmptyDocument()`
`DescribeRecord` | `parse(String id)` Extracts a `DescribeRecord` representation of this object.
`protected String` | `parseTypeName(Element root)` Parses a `TypeName` element into a `QualifiedName`.

Methods inherited from class org.deegree.ogcwebservices.csw.AbstractCSWRequestDocument
`parseDRMParams`

Methods inherited from class org.deegree.ogcbase.OGCDocument
`parseCodeList, parseCodeListArray, parseExtendedPropertyPath, parseInterval, parseKeywords, parseKeywords, parseLonLatEnvelope, parseOnLineResource, parsePropertyPath, parseTimePeriod, parseTimePeriods, parseTimePositions, parseTimeSequence, parseTypedLiteral, parseValues`

Methods inherited from class org.deegree.framework.xml.XMLFragment
`getAsPrettyString, getAsString, getAttachedSchemas, getQualifiedName, getRootElement, getSystemId, hasSchema, load, load, load, parseQualifiedName, parseSimpleLink, prettyPrint, prettyPrint, resolve, setRootElement, setSystemId, setSystemId, toString, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeRecordDocument

    public DescribeRecordDocument()

Method Detail

### parse

    public DescribeRecord parse(String id)
                         throws MissingParameterValueException,
                                InvalidParameterValueException,
                                OGCWebServiceException

  Extracts a `DescribeRecord` representation of this object. TODO use QualifiedName for type names

  Parameters:
    `id` - unique ID of the request
  Returns:
    the new instance
  Throws:
    `MissingParameterValueException`
    `InvalidParameterValueException`
    `OGCWebServiceException`

### parseTypeName

    protected String parseTypeName(Element root)
                            throws XMLParsingException

  Parses a `TypeName` element into a `QualifiedName`. TODO respect "targetNamespace" attribute and really return a `QualifiedName`.

  Returns:
    the type name
  Throws:
    `XMLParsingException`

### createEmptyDocument

    void createEmptyDocument()
                       throws IOException,
                              SAXException

  Throws:
    `IOException`
    `SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org